Loading...
Searching...
No Matches
communicator.h File Reference

`communicator` - MPI communicator for C++ More...

Go to the source code of this file.

## Classes

struct | undefined_memory_model
struct | sequential
struct | is_sequential< M >
struct | is_distributed< M >
struct | is_sequential< sequential >
struct | is_distributed< sequential >
struct | promote_memory< M1, M2 >
struct | promote_memory< undefined_memory_model, sequential >
struct | promote_memory< sequential, undefined_memory_model >
struct | promote_memory< sequential, sequential >
struct | distributed
struct | is_sequential< distributed >
struct | is_distributed< distributed >
struct | promote_memory< undefined_memory_model, distributed >
struct | promote_memory< distributed, undefined_memory_model >
struct | promote_memory< distributed, distributed >

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Macros

#define | rheo_default_memory_model distributed

## Detailed Description

`communicator` - MPI communicator for C++

Definition in file communicator.h.

## Macro Definition Documentation

## rheo_default_memory_model

#define rheo_default_memory_model distributed

Definition at line 153 of file communicator.h.